{% extends "base.html" %}
{% block content %}
<p><a href="{{ url_for('account') }}">Go to account settings</a></p>
<h2>Hours of work</h2>
<p><a href="{{ url_for('add_work_time') }}">Submit work time</a></p>
<form action="" method="post">
  {{ form.hidden_tag() }}
  <fieldset>
    <legend>Filter work hours</legend>
    {{ form.start_time.label() }}
    {% if form.start_time.errors %}
        {{ form.start_time() }}
        {% for error in form.start_time.errors %}
            <br>
            <span>{{ error }}</span>
        {% endfor %}
    {% else %}
        {{ form.start_time() }}
    {% endif %}
    <br>
    {{ form.end_time.label() }}
    {% if form.start_time.errors %}
        {{ form.start_time() }}
        {% for error in form.start_time.errors %}
            <br>
            <span>{{ error }}</span>
        {% endfor %}
    {% else %}
        {{ form.start_time() }}
    {% endif %}
    <br>
    {{ form.work_type.label() }}{{ form.work_type() }}
    <br>
    {{ form.submit() }}
  </fieldset>
</form>
<table class="centered">
  <tr style="background-color:lightgrey">
    <th></th>
    <th>Location</th>
    <th>Starting time</th>
    <th>End time</th>
    <th>Type of the work</th>
    <th>Token</th>
  </tr>
  {% for hour in hours %}
      <tr>
        <td><a href="{{ url_for('edit_work_time', hour_id=hour.id) }}">Edit</a>
          | <form action="{{ url_for('delete_work_time', hour_id=hour.id) }}" method="post">
            <input type="submit" name="delete"
            value="Delete" onclick="return confirm('Delete work time record?')">
          </form></td>
        <td>{{ hour.location }}</td>
        <td>{{ hour.start_time }}</td>
        <td>{{ hour.end_time }}</td>
        <td>{{ hour.work_type.value }}</td>
        <td>{{ hour.token }}</td>
      </tr>
  {% endfor %}
</table>
{% endblock content %}
